# Interface FindBugsXmlReport

All Superinterfaces:
  `org.gradle.util.Configurable<Report>, ConfigurableReport, Report, Serializable, SingleFileReport`

@Incubating public interface FindBugsXmlReport extends SingleFileReport
The single file XML report for FindBugs.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Report

`Report.OutputType`

## Field Summary

### Fields inherited from interface Report

`NAMER`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isWithMessages()`
Whether or not FindBugs should generate XML augmented with human-readable messages.
`void`
`setWithMessages(boolean withMessages)`
Whether or not FindBugs should generate XML augmented with human-readable messages.

### Methods inherited from interface org.gradle.util.Configurable

`configure`

### Methods inherited from interface ConfigurableReport

`setDestination, setDestination, setDestination, setEnabled, setEnabled`

### Methods inherited from interface Report

`getDisplayName, getName, isEnabled`

### Methods inherited from interface SingleFileReport

`getDestination, getOutputType`

## Method Details

### isWithMessages

@Internal boolean isWithMessages()
Whether or not FindBugs should generate XML augmented with human-readable messages. You should use this format if you plan to generate a report using an XSL stylesheet.

If `true`, FindBugs will augment the XML with human-readable messages. If `false`, FindBugs will not augment the XML with human-readable messages.

Returns:
  Whether or not FindBugs should generate XML augmented with human-readable messages.

### setWithMessages

void setWithMessages(boolean withMessages)
Whether or not FindBugs should generate XML augmented with human-readable messages.

Parameters:
  `withMessages` - Whether or not FindBugs should generate XML augmented with human-readable messages.
See Also:
  - `isWithMessages()`